Get customer
curl --request GET \
--url https://api.otark.energy/v1/customers/{customer_id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.otark.energy/v1/customers/{customer_id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.otark.energy/v1/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cust_r8s9t0u1",
"name": "SolarDach GmbH",
"status": "active",
"balance_group": {
"eic": "11YSOLARDACH--A",
"tso": "DE_AMPRION"
},
"metadata": {
"customer_number": "KD-2026-0815",
"cost_center": "CC-4200",
"region": "NRW"
},
"assigned_at": "2026-01-10T09:00:00Z",
"created_at": "2026-01-10T09:00:00Z",
"activated_at": "2026-01-10T11:30:00Z"
}{
"type": "https://brp.otark.team/errors/invalid_api_key",
"title": "Invalid API Key",
"status": 401
}{
"type": "https://brp.otark.team/errors/insufficient_scopes",
"title": "Insufficient API Key Scopes",
"status": 403,
"detail": "Missing scope: customers:write. Please create a new API key with the required scopes."
}{
"type": "https://brp.otark.team/errors/customer_not_found",
"title": "Customer Not Found",
"status": 404,
"instance": "/v1/customers/cust_r8s9t0u1"
}Customers
Get customer
Retrieve a single customer by ID.
Required scope: customers:read
GET
/
v1
/
customers
/
{customer_id}
Get customer
Authorizations
Path Parameters
Customer identifier
Example:
"cust_r8s9t0u1"
Response
Customer details
A customer assigned to the BRP
Unique customer identifier
Example:
"cust_r8s9t0u1"
Customer display name
Example:
"SolarDach GmbH"
Customer status
Available options:
pending, active, deactivated Example:
"active"
A balance group assignment
Show child attributes
Show child attributes
BRP-defined key-value pairs (free-form)
Show child attributes
Show child attributes
Example:
{
"customer_number": "KD-2026-0815",
"cost_center": "CC-4200",
"region": "NRW"
}
ISO 8601 timestamp when the customer was assigned
Example:
"2026-01-10T09:00:00Z"
ISO 8601 creation timestamp
Example:
"2026-01-10T09:00:00Z"
ISO 8601 timestamp when the customer was activated
Example:
"2026-01-10T11:30:00Z"
Was this page helpful?